#include "KanaListWidgetItem.h"
#include <QListWidget>
#include <QString>
#include <QListWidgetItem>
#include <QDebug>

KanaListWidgetItem::KanaListWidgetItem(QListWidget *parent) : QListWidgetItem(parent){
}

KanaListWidgetItem::KanaListWidgetItem(QListWidget *parent, const QString& romanjiNew, const QString& kana , const QString &type , const QString &toolTip) : QListWidgetItem(parent){
	_romanji = romanjiNew;
	this->setText(kana);
	_type = type;
	_toolTip = toolTip;
	if(toolTip.size() > 0)
		this->setToolTip("<table border='0' cellpadding='2px' cellspacing='2px'><tr><td valign='middle'>&nbsp;<font size=\"30\">" + kana + "</font>&nbsp;</td><td valign='middle'>&nbsp;&nbsp;<i>(" + romanjiNew +")</i>&nbsp;&nbsp;</td><td valign='middle'>&nbsp;" + toolTip + "&nbsp;</td></tr></table>");
	else
		this->setToolTip("<table border='0' cellpadding='2px' cellspacing='2px'><tr><td valign='middle'>&nbsp;<font size=\"30\">" + kana + "</font>&nbsp;</td><td valign='middle'>&nbsp;&nbsp;<i>(" + romanjiNew +")</i>&nbsp;&nbsp;</td><td valign='middle'></td></tr></table>");
}

void KanaListWidgetItem::setRawTip( const QString &tt){
	_toolTip = tt;
}

QString KanaListWidgetItem::rawTip(){
	return _toolTip;
}

void KanaListWidgetItem::setRomanji(const QString& romanjiNew) {
	_romanji = romanjiNew;
}

QString KanaListWidgetItem::romanji(){
	return _romanji;
}

int KanaListWidgetItem::romanjiSize() {
	return _romanji.length();
}

void KanaListWidgetItem::setKanaType(const QString& newType){
	_type = newType ;
}

QString KanaListWidgetItem::kanaType(){
	return _type;
}

