
#include "KanaTextEdit.h"
#include <QMessageBox>

KanaTextEdit::KanaTextEdit( QWidget *parent ) : QTextEdit(parent){
	setFontPointSize(12);
}

void KanaTextEdit::mousePressEvent ( QMouseEvent * event ){
	event->accept();
	bool continueEventProcessing = true;
	if( event->button() == Qt::LeftButton ){
		emit(editorClicked());
	}
	
	if(continueEventProcessing)
		QTextEdit::mousePressEvent(event);
}

void KanaTextEdit::keyPressEvent ( QKeyEvent * event ){
	event->accept();
	if( event->key() == Qt::Key_Backspace ){
		emit(backspacePressed());
	}
	QTextEdit::keyPressEvent(event);
}
