#include "KanaXmlHandler.h"
#include <QMessageBox>
#include "KanaListWidgetItem.h"

KanaXmlHandler::KanaXmlHandler( QList<KanaListWidgetItem *> *newList ){
	kanaList = newList;
}

bool KanaXmlHandler::startElement( const QString & /*namespaceURI*/, const QString & /*localName*/, const QString &qName, const QXmlAttributes &attributes ){
	if( qName == "item" ){
		QString str = attributes.value("romanji");
		QStringList list = str.split('|', QString::SkipEmptyParts);
		for (int i = 0; i < list.size(); ++i){
			kanaList->append( new KanaListWidgetItem(0, list.value(i), attributes.value("kana"), attributes.value("type"), attributes.value("tips")) );
		}
	}
	return true;
}

bool KanaXmlHandler::characters(const QString &str){
	currentText += str ;
	return true;
}

bool KanaXmlHandler::fatalError(const QXmlParseException &exception){
	QMessageBox::warning(0,QObject::tr("Kana XML parser"),
		QObject::tr("parse error at line %1, column %2:\n%3")
		.arg( exception.lineNumber() )
		.arg( exception.columnNumber() )
		.arg( exception.message() )
		
	);
	return false;
}
