#ifndef KANAEDITOR_H
#define KANAEDITOR_H
// #include "helperwidget.h"
#include "ui_kana_editor.h"
#include <QListWidget>
#include <QWidget>
#include <QList>
#include "KanaListWidgetItem.h"


class KanaEditor : public QWidget, private Ui::KanaEditor {
	Q_OBJECT
	Q_PROPERTY(QString dataFileName READ getDataFile WRITE setDataFile) 
	public:
		KanaEditor(QWidget *parent=0);
		void setDataFile(const QString&);
		QString getDataFile();
		
	signals:
		void copyAvailable ( bool );
		void undoAvailable ( bool );
		void redoAvailable ( bool );
	
	public slots:
		void helpListWidget_itemActivated(QListWidgetItem *item);
		void editorCopy();
		void editorCut();
		void editorPaste();
		void editorUndo();
		void editorRedo();
		void editorClear();
		QString editorToPlainText();
		QTextDocument * editorDocument ();
		void editorSetPlainText(const QString&);
		
	protected slots:
		void on_editor_textChanged();
		void helper_insertText(const QString&);
		void keyPressEvent ( QKeyEvent * event );
		void prepareRootItem ( KanaListWidgetItem *item );
		void on_editor_editorClicked();
		void on_editor_backspacePressed();
// 		void on_helpListWidget_currentRowChanged ( int );
// 		void on_helpListWidget_currentItemChanged ( QListWidgetItem * , QListWidgetItem * );
		
	private:
		int cursor_start_position;
		int cursor_end_position;
		QString currentRomanjiWord;
		QString currentKanaWord;
		QList<KanaListWidgetItem *> *kanaList;
		QList<KanaListWidgetItem *> *kanaWordList;
		QListWidget *helpListWidget;
		KanaListWidgetItem *sentenceRootItem;
		KanaListWidgetItem *hiraganaRootItem;
		KanaListWidgetItem *katakanaRootItem;
		KanaListWidgetItem *kanjiRootItem;
		QString dataFileName;
		
		bool createHelpList();
};


#endif
