#ifndef KANACONFIGDIALOG_H
#define KANACONFIGDIALOG_H
#include "ui_kanaconfigdialog.h"
#include <QList>
#include <QDialog>
#include "KanaXmlHandler.h"

class KanaListWidgetItem;


class KanaConfigDialog : public QDialog, private Ui::KanaConfigDialog {
	Q_OBJECT
	
	public:
		KanaConfigDialog(QWidget *parent=0);
		
		
	signals:
		void configurationUpdated();
	
	public slots:
		void accept();
		void writeData(const QString &);
		
	protected slots:
		void on_resComboBox_activated(const QString&);
		void on_addKanaRowButton_clicked();
		void on_removeKanaRowButton_clicked();
		void on_toolButton_clicked();
		
	private:
		QList<KanaListWidgetItem *> *kanaList;
		
		void loadDataFile(const QString&);
		void readSettings();
		void writeSettings();
};


#endif
