#ifndef KANA_MAINWINDOW_H
#define KANA_MAINWINDOW_H

#include "ui_mainwindow.h"

class MainWindow : public QMainWindow, private Ui::MainWindow {
	Q_OBJECT
	public:
		MainWindow(QWidget *parent=0);
		void loadData(const QString &file );
		
	protected:
		void closeEvent(QCloseEvent *event);
		
	public slots:
		void about();
		void aboutQt();
		bool saveAs();
		bool save();
		void open();
		void fileNew();
		void filePrint();
		void showSettings();
	
	private slots:
		void writeSettings();
		void readSettings();
	
	private:
		QString curFile;
		QPrinter *printer;
		QString curDataFile;
		
		bool maybeSave();
		bool saveFile(const QString &);
		void loadFile(const QString &);
		void setCurrentFile(const QString &);
		QString strippedName(const QString &);
		
};

#endif
